Skip to content
Start here

Get Chrome DevTools Protocol schema.

browser_rendering.devtools.browser.protocol(strsession_id, BrowserProtocolParams**kwargs) -> BrowserProtocolResponse
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/protocol

Returns the complete Chrome DevTools Protocol schema including all domains, commands, events, and types. This schema describes the entire CDP API surface.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
account_id: str

Account ID.

session_id: str

Browser session ID.

formatuuid
ReturnsExpand Collapse
class BrowserProtocolResponse:
domains: List[Domain]

List of protocol domains.

domain: str

Domain name.

commands: Optional[List[Dict[str, Optional[object]]]]

Available commands.

dependencies: Optional[List[str]]

Domain dependencies.

events: Optional[List[Dict[str, Optional[object]]]]

Available events.

experimental: Optional[bool]

Whether this domain is experimental.

types: Optional[List[Dict[str, Optional[object]]]]

Type definitions.

version: Optional[Version]

Protocol version.

major: str

Major version.

minor: str

Minor version.

Get Chrome DevTools Protocol schema.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.browser_rendering.devtools.browser.protocol(
    session_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="account_id",
)
print(response.domains)
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}
Returns Examples
{
  "domains": [
    {
      "domain": "domain",
      "commands": [
        {
          "foo": {}
        }
      ],
      "dependencies": [
        "string"
      ],
      "events": [
        {
          "foo": {}
        }
      ],
      "experimental": true,
      "types": [
        {
          "foo": {}
        }
      ]
    }
  ],
  "version": {
    "major": "major",
    "minor": "minor"
  }
}